SikuliNG

... new generation (not useable yet, not downwoard compatible to SikuliX)

Development is currently paused. Might be continued in 2020.


Forking and/or downloading this repo does not really make sense


BE AWARE: Java 8+ required

Development on latest Java
Source code level and byte code level are both 1.8

Issues and pull requests are only accepted here on Github, but currently ignored


Design goal

Implement the API completely as a REST-API backed by a server running on the target machine.

This will allow many more client implementations even in a browser context.

Step 2: For backward compatibility the SikuliX1 API will be reimplemented based on this REST-API.